%%%%%%%%%%%%%%%%%
%    announce   %
%%%%%%%%%%%%%%%%%
function announce(announcement, varargin)
% announce(announcement)
%
% Checks whether announcements are to be made and, if so, displays the
% 'announcement' at the 'target'=varargin{1}. In addition, during standalone execution 'announcement' is also entered into KE_log.txt.
%
% announcement: The text to be announced
% target: if target = 'Title', then the announcement is displayed as the title of the message box
%
% Author: Murat Okatan, PhD.
% Citation: Okatan M, Kocatrk M. Truncation thresholds: a pair of spike detection thresholds computed using truncated probability distributions. 
% Turk J Elec Eng & Comp Sci 2016; Available online: 12.05.2016.
% http://online.journals.tubitak.gov.tr/openAcceptedDocument.htm?fileID=696635&no=172411
% DOI: 10.3906/elk-1603-33 (This number will become active after the manuscript has been selected for inclusion in an issue.)
%
% This work is supported by the Scientific Research Project Fund of Cumhuriyet University under the project number TEKNO-002 
% Copyright (c) 2015 Cumhuriyet University
% Bu alma, Cumhuriyet niversitesi Bilimsel Aratrma Projeleri (CBAP) tarafndan TEKNO-002 proje numaras ile desteklenmitir.
% Telif Hakk (c) 2015 Cumhuriyet niversitesi

global message_handle %The handles related to the message box that is displayed if provide_info=1 in config_file.txt

if isdeployed
    disp(announcement);
end

target='';
if nargin>1
    target=varargin{1};
end

if ishandle(message_handle.box)
    switch target
        case ''
            if ishandle(message_handle.textdata)
                set(message_handle.textdata, 'String', announcement);
            end
        case 'Title'
            set(message_handle.box, 'Name', announcement);
    end
    drawnow
end
